Page MenuHomePhabricator

Call to a member function getEntireText() on a non-object (boolean) in (1.28.0-wmf.15) /includes/content/WikitextContentHandler.php
Closed, ResolvedPublic

Description

Maybe Introduced in MW-1.28-release (WMF-deploy-2016-08-16_(1.28.0-wmf.15))

 {
  "file": "/srv/mediawiki/php-1.28.0-wmf.15/includes/content/WikitextContentHandler.php",
  "line": 180,
  "function": "getFileText",
  "class": "WikitextContentHandler",
  "type": "->",
  "args": [
    "Title"
  ]
},
{
  "file": "/srv/mediawiki/php-1.28.0-wmf.15/extensions/CirrusSearch/includes/Updater.php",
  "line": 314,
  "function": "getDataForSearchIndex",
  "class": "WikitextContentHandler",
  "type": "->",
  "args": [
    "WikiFilePage",
    "ParserOutput",
    "CirrusSearch"
  ]
},
{
  "file": "/srv/mediawiki/php-1.28.0-wmf.15/extensions/CirrusSearch/includes/Updater.php",
  "line": 202,
  "function": "buildDocumentsForPages",
  "class": "CirrusSearch\\Updater",
  "type": "->",
  "args": [
    "array",
    "integer"
  ]
},
{
  "file": "/srv/mediawiki/php-1.28.0-wmf.15/extensions/CirrusSearch/includes/Updater.php",
  "line": 79,
  "function": "updatePages",
  "class": "CirrusSearch\\Updater",
  "type": "->",
  "args": [
    "array",
    "string",
    "integer",
    "integer"
  ]
},
{
  "file": "/srv/mediawiki/php-1.28.0-wmf.15/extensions/CirrusSearch/includes/Job/LinksUpdate.php",
  "line": 49,
  "function": "updateFromTitle",
  "class": "CirrusSearch\\Updater",
  "type": "->",
  "args": [
    "Title"
  ]
},
{
  "file": "/srv/mediawiki/php-1.28.0-wmf.15/extensions/CirrusSearch/includes/Job/Job.php",
  "line": 99,
  "function": "doJob",
  "class": "CirrusSearch\\Job\\LinksUpdate",
  "type": "->",
  "args": []
},
{
  "file": "/srv/mediawiki/php-1.28.0-wmf.15/includes/jobqueue/JobRunner.php",
  "line": 265,
  "function": "run",
  "class": "CirrusSearch\\Job\\Job",
  "type": "->",
  "args": []
},
{
  "file": "/srv/mediawiki/php-1.28.0-wmf.15/includes/jobqueue/JobRunner.php",
  "line": 179,
  "function": "executeJob",
  "class": "JobRunner",
  "type": "->",
  "args": [
    "CirrusSearch\\Job\\LinksUpdate",
    "BufferingStatsdDataFactory",
    "integer"
  ]
},
{
  "file": "/srv/mediawiki/rpc/RunJobs.php",
  "line": 47,
  "function": "run",
  "class": "JobRunner",
  "type": "->",
  "args": [
    "array"
  ]
}

Event Timeline

mmodell created this task.Aug 17 2016, 7:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2016, 7:40 PM
Smalyshev added a subscriber: Smalyshev.

Change 305390 had a related patch set uploaded (by Smalyshev):
Fix text extraction where we don't have proper file handler

https://gerrit.wikimedia.org/r/305390

Change 305390 merged by jenkins-bot:
Fix text extraction where we don't have proper file handler

https://gerrit.wikimedia.org/r/305390

debt triaged this task as High priority.Aug 18 2016, 10:06 PM
debt edited projects, added Discovery-Search (Current work); removed Discovery-Search.
Smalyshev closed this task as Resolved.Aug 19 2016, 8:16 PM

I think this is fixed